<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$esperarCarga=true;

//Diferenciamos "etiquetado" o "precintado" según el get desde el menú
if($_GET['accion']) $_SESSION['accion']=$_GET['accion'];

if($_POST['botonGenerarPickingFinal']) {

	$ordenes=array();
	foreach($_POST as $campo=>$valor) {
		if(substr($campo,0,8)=='selector' && $valor) $ordenes[]=$valor;
	}
	
	if(count($ordenes)>0) {
	
		$cadenaEnvio='';

		foreach($ordenes as $orden) {
		
			$datos=explode('#',$orden);
			
			$numeroOrden=$datos[0];
			$empresa=$datos[1];
			
			if($_SESSION['accion']=='desprecintado') $cadenaEnvio.='*PXTmpCrearOrdenPicDesprecintado'.PHP_EOL;
			else $cadenaEnvio.='*PXTmpCrearOrdenPicPrecEti'.PHP_EOL;
		
			$cadenaEnvio.='Empresa='.$empresa.PHP_EOL;
			
			if($_SESSION['accion']=='etiquetado') $tipo='E';
			else if($_SESSION['accion']=='precintado') $tipo='P';
			else if($_SESSION['accion']=='desprecintado') $tipo='D';
			
			$cadenaEnvio.='TipodeOrden='.$tipo.PHP_EOL;
			
			$cadenaEnvio.='Almacen='.$_SESSION['almacen'].PHP_EOL;
			$cadenaEnvio.='NumeroOrden='.$numeroOrden.PHP_EOL;
			$cadenaEnvio.='Usuario='.$_SESSION['usuario']['Usuario'].PHP_EOL;
			$cadenaEnvio.='Descripcion='.$_POST['descripcion'].PHP_EOL;
		}
		$cadenaEnvio.='*FIN'.PHP_EOL;

		$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
		
		if($_GET['traza']=='si') {
			echo nl2br($cadenaEnvio);
			print_r($resultado);
		}
		
		$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
		if($resultadoEvaluar[0]==1) {
			?><p><?php echo $resultadoEvaluar[1]; ?></p><?php
		}
		else { ?><p class="error">ERROR: <?php echo $resultadoEvaluar[1]; ?></p><?php }
	}

}

?>
<h2>Órdenes de <?php echo ucfirst($_SESSION['accion']); ?> pendientes de Picking <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="listaOrdenes" style="padding-bottom:100px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location=window.location;
	});
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/ordenes-etiquetado-precintado-picking-listado.php?traza=<?php echo $_GET['traza']; ?>"  )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
